> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/pastabos-zymekliai/27.-mutacija-issaugoti-prie-dirvozemio-duomenu-rinkinio-prideta-pastaba.md).

# 27. Mutacija: išsaugoti prie dirvožemio duomenų rinkinio pridėtą pastabą

Ši mutacija leidžia pridėti Pastabą prie nurodyto DirvožemioDuomenųRinkinys.

* Pastaba gali būti susieta su Lauku per jo unikalų identifikatorių `fieldUuid` ir susieto DirvožemioDuomenųRinkinio per `soilDatasetUuid`.
* Pastabos koordinates galima nustatyti naudojant `centroid` atributą, kuriam reikalingi apibrėžti `latitude` ir `longitude` reikšmės.&#x20;
* Pastabos tipą galima nurodyti naudojant `tipas` atributą su priimtomis reikšmėmis `PLANNED` arba `REAL`.&#x20;
* Pastabos aprašymą galima pateikti naudojant `comment` atributą. Jei aprašymas turi būti kelių eilučių, `comment` atributas turėtų turėti eilutę su naujosios eilutės simboliais `\\n` kad būtų atskirtos eilutės. Pavyzdžiui: `"Pirmoji eilutė yra čia\\nAntroji eilutė yra čia.\\nTrečioji eilutė yra čia."`.

Pavyzdinius užklausimus rasite žemiau:

```graphql
mutacija SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "Bandomoji pastaba pridėta prie DirvožemioDuomenųRinkinio",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    sukūrimoData
    updatedDate
    tipas
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija SaveNoteAttachedToSoilDataset {
  saveNote(input:{
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016",
    centroid: {
      latitude: 53.42644, 
      longitude:  -109.87590
    },
    type: REAL,
    comment: "First line. is here\\nSecond line is here.\\nThird line is here.",
    soilDatasetUuid: "34162ba6-77b6-4d66-8935-b0941d60f7e1"
  } ) {
    uuid
    fieldUuid
    centroid {
      latitude
      longitude
    }
    sukūrimoData
    updatedDate
    tipas
    comment
    soilDataset {
     	uuid
     	fieldUuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/pastabos-zymekliai/27.-mutacija-issaugoti-prie-dirvozemio-duomenu-rinkinio-prideta-pastaba.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
